<?php
// Pārbauda, vai forma ir iesniegta POST metodi
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Pārbauda, vai visi nepieciešamie dati ir saņemti
    if (isset($_POST['username']) && isset($_POST['password']) && isset($_POST['email'])) {
        // Savienojas ar datubāzi
       include "db_config.php";

                // Saglabā datus no formas un attīra tos no iespējamajiem SQL injekcijas uzbrukumiem
        $username = $conn->real_escape_string($_POST['username']);
        $password = password_hash($_POST['password'], PASSWORD_DEFAULT); // Izveido paroles hešu
        $email = $conn->real_escape_string($_POST['email']);

        // Saglabā datus datubāzē, izmantojot prepared statement, lai novērstu SQL injekcijas
        $q="
        INSERT INTO 
        ml_users (
            username, 
            password, 
            email
        ) 
        VALUES (
            ?, 
            ?, 
            ?
        )
        ";
        $stmt = $conn->prepare($q);
        $stmt->bind_param(
            "sss", 
            $username, 
            $password,
            $email
        );
        //nodefinē atgriežamās vērtības
        $err=array("promt" => "", "code" => 0);
        
        if ($stmt->execute()) {
            $err["promt"]= "Reģistrācija ir veiksmīga!";
           // header("Location: index.html");
           // exit();
        } else {
            $err["promt"]=  "Kļūda, reģistrācija neizdevās: " . $stmt->error;
            $err["code"]= 1;
        }

        // Aizver prepared statement un savienojumu
        $stmt->close();
        $conn->close();
    } else {
        $err["promt"]=  "Nav saņemti visi nepieciešamie dati!";
        $err["code"]= 1;
    }
    echo json_encode($err);
}
?>
